org.bouncycastle.sasn1

## Class Asn1InputStream

- java.lang.Object
- - org.bouncycastle.sasn1.Asn1InputStream

Deprecated.
use org.bouncycastle.asn1.ASN1StreamParser

    public class Asn1InputStream
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Asn1InputStream(byte[] encoding)` Deprecated.
`Asn1InputStream(java.io.InputStream in)` Deprecated.
`Asn1InputStream(java.io.InputStream in, int limit)` Deprecated.

### Method Summary

Methods
`Asn1Object` `readObject()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Asn1InputStream

    public Asn1InputStream(java.io.InputStream in)

Deprecated.

#### Asn1InputStream

    public Asn1InputStream(java.io.InputStream in,
                   int limit)

Deprecated.

#### Asn1InputStream

    public Asn1InputStream(byte[] encoding)

Deprecated.

### Method Detail

#### readObject

    public Asn1Object readObject()
                          throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`